intel-ipsec-mb: IMB_MGR Struct Reference

intel-ipsec-mb v2.0 Documentation of the Intel(R) IPSec Multi-Buffer library |

Loading...
Searching...
No Matches
Data Fields
IMB_MGR Struct Reference

`#include <intel-ipsec-mb.h>`

## Data Fields
uint64_t | flags
uint64_t | features
uint64_t | reserved [4]
uint8_t | reserved2 [7]
uint8_t | used_arch_type
uint32_t | used_arch
int | imb_errno
get_next_job_t | get_next_job
submit_job_t | submit_job
submit_job_t | submit_job_nocheck
get_completed_job_t | get_completed_job
flush_job_t | flush_job
queue_size_t | queue_size
keyexp_t | keyexp_128
keyexp_t | keyexp_192
keyexp_t | keyexp_256
cmac_subkey_gen_t | cmac_subkey_gen_128
xcbc_keyexp_t | xcbc_keyexp
des_keysched_t | des_key_sched
hash_one_block_t | sha1_one_block
hash_one_block_t | sha224_one_block
hash_one_block_t | sha256_one_block
hash_one_block_t | sha384_one_block
hash_one_block_t | sha512_one_block
hash_one_block_t | md5_one_block
hash_fn_t | sha1
hash_fn_t | sha224
hash_fn_t | sha256
hash_fn_t | sha384
hash_fn_t | sha512
aes_cfb_t | aes128_cfb_one
aes_gcm_enc_dec_t | gcm128_enc
aes_gcm_enc_dec_t | gcm192_enc
aes_gcm_enc_dec_t | gcm256_enc
aes_gcm_enc_dec_t | gcm128_dec
aes_gcm_enc_dec_t | gcm192_dec
aes_gcm_enc_dec_t | gcm256_dec
aes_gcm_init_t | gcm128_init
aes_gcm_init_t | gcm192_init
aes_gcm_init_t | gcm256_init
aes_gcm_enc_dec_update_t | gcm128_enc_update
aes_gcm_enc_dec_update_t | gcm192_enc_update
aes_gcm_enc_dec_update_t | gcm256_enc_update
aes_gcm_enc_dec_update_t | gcm128_dec_update
aes_gcm_enc_dec_update_t | gcm192_dec_update
aes_gcm_enc_dec_update_t | gcm256_dec_update
aes_gcm_enc_dec_finalize_t | gcm128_enc_finalize
aes_gcm_enc_dec_finalize_t | gcm192_enc_finalize
aes_gcm_enc_dec_finalize_t | gcm256_enc_finalize
aes_gcm_enc_dec_finalize_t | gcm128_dec_finalize
aes_gcm_enc_dec_finalize_t | gcm192_dec_finalize
aes_gcm_enc_dec_finalize_t | gcm256_dec_finalize
aes_gcm_precomp_t | gcm128_precomp
aes_gcm_precomp_t | gcm192_precomp
aes_gcm_precomp_t | gcm256_precomp
aes_gcm_pre_t | gcm128_pre
aes_gcm_pre_t | gcm192_pre
aes_gcm_pre_t | gcm256_pre
zuc_eea3_1_buffer_t | eea3_1_buffer
zuc_eea3_4_buffer_t | eea3_4_buffer
zuc_eea3_n_buffer_t | eea3_n_buffer
zuc_eia3_1_buffer_t | eia3_1_buffer
kasumi_f8_1_buffer_t | f8_1_buffer
kasumi_f8_1_buffer_bit_t | f8_1_buffer_bit
kasumi_f8_2_buffer_t | f8_2_buffer
kasumi_f8_3_buffer_t | f8_3_buffer
kasumi_f8_4_buffer_t | f8_4_buffer
kasumi_f8_n_buffer_t | f8_n_buffer
kasumi_f9_1_buffer_t | f9_1_buffer
kasumi_f9_1_buffer_user_t | f9_1_buffer_user
kasumi_init_f8_key_sched_t | kasumi_init_f8_key_sched
kasumi_init_f9_key_sched_t | kasumi_init_f9_key_sched
kasumi_key_sched_size_t | kasumi_key_sched_size
snow3g_f8_1_buffer_bit_t | snow3g_f8_1_buffer_bit
snow3g_f8_1_buffer_t | snow3g_f8_1_buffer
snow3g_f8_2_buffer_t | snow3g_f8_2_buffer
snow3g_f8_4_buffer_t | snow3g_f8_4_buffer
snow3g_f8_8_buffer_t | snow3g_f8_8_buffer
snow3g_f8_n_buffer_t | snow3g_f8_n_buffer
snow3g_f8_8_buffer_multikey_t | snow3g_f8_8_buffer_multikey
snow3g_f8_n_buffer_multikey_t | snow3g_f8_n_buffer_multikey
snow3g_f9_1_buffer_t | snow3g_f9_1_buffer
snow3g_init_key_sched_t | snow3g_init_key_sched
snow3g_key_sched_size_t | snow3g_key_sched_size
ghash_t | ghash
zuc_eia3_n_buffer_t | eia3_n_buffer
aes_gcm_init_var_iv_t | gcm128_init_var_iv
aes_gcm_init_var_iv_t | gcm192_init_var_iv
aes_gcm_init_var_iv_t | gcm256_init_var_iv
aes_gmac_init_t | gmac128_init
aes_gmac_init_t | gmac192_init
aes_gmac_init_t | gmac256_init
aes_gmac_update_t | gmac128_update
aes_gmac_update_t | gmac192_update
aes_gmac_update_t | gmac256_update
aes_gmac_finalize_t | gmac128_finalize
aes_gmac_finalize_t | gmac192_finalize
aes_gmac_finalize_t | gmac256_finalize
hec_32_t | hec_32
hec_64_t | hec_64
cmac_subkey_gen_t | cmac_subkey_gen_256
aes_gcm_pre_t | ghash_pre
crc32_fn_t | crc32_ethernet_fcs
crc32_fn_t | crc16_x25
crc32_fn_t | crc32_sctp
crc32_fn_t | crc24_lte_a
crc32_fn_t | crc24_lte_b
crc32_fn_t | crc16_fp_data
crc32_fn_t | crc11_fp_header
crc32_fn_t | crc7_fp_header
crc32_fn_t | crc10_iuup_data
crc32_fn_t | crc6_iuup_header
crc32_fn_t | crc32_wimax_ofdma_data
crc32_fn_t | crc8_wimax_ofdma_hcs
chacha_poly_init_t | chacha20_poly1305_init
chacha_poly_enc_dec_update_t | chacha20_poly1305_enc_update
chacha_poly_enc_dec_update_t | chacha20_poly1305_dec_update
chacha_poly_finalize_t | chacha20_poly1305_finalize
burst_fn_t | get_next_burst
burst_fn_t | submit_burst
burst_fn_t | submit_burst_nocheck
burst_fn_t | flush_burst
submit_cipher_burst_t | submit_cipher_burst
submit_cipher_burst_t | submit_cipher_burst_nocheck
submit_hash_burst_t | submit_hash_burst
submit_hash_burst_t | submit_hash_burst_nocheck
aes_cfb_t | aes256_cfb_one
aes_ecb_quic_t | aes_ecb_128_quic
aes_ecb_quic_t | aes_ecb_256_quic
void(* | set_suite_id )(struct IMB_MGR *, IMB_JOB *)
chacha20_poly1305_quic_t | chacha20_poly1305_quic
chacha20_hp_quic_t | chacha20_hp_quic
sm4_keyexp_t | sm4_keyexp
imb_self_test_cb_t | self_test_cb_fn
void * | self_test_cb_arg
submit_cipher_burst_t | submit_aead_burst
submit_cipher_burst_t | submit_aead_burst_nocheck
int | earliest_job
int | next_job
IMB_JOB | jobs [IMB_MAX_JOBS]
void * | aes128_ooo
void * | aes192_ooo
void * | aes256_ooo
void * | docsis128_sec_ooo
void * | docsis128_crc32_sec_ooo
void * | docsis256_sec_ooo
void * | docsis256_crc32_sec_ooo
void * | des_enc_ooo
void * | des_dec_ooo
void * | des3_enc_ooo
void * | des3_dec_ooo
void * | docsis_des_enc_ooo
void * | docsis_des_dec_ooo
void * | hmac_sha_1_ooo
void * | hmac_sha_224_ooo
void * | hmac_sha_256_ooo
void * | hmac_sha_384_ooo
void * | hmac_sha_512_ooo
void * | hmac_md5_ooo
void * | aes_xcbc_ooo
void * | aes_ccm_ooo
void * | aes_cmac_ooo
void * | zuc_eea3_ooo
void * | zuc_eia3_ooo
void * | aes128_cbcs_ooo
void * | zuc256_eea3_ooo
void * | zuc256_eia3_ooo
void * | aes256_ccm_ooo
void * | aes256_cmac_ooo
void * | snow3g_uea2_ooo
void * | snow3g_uia2_ooo
void * | sha_1_ooo
void * | sha_224_ooo
void * | sha_256_ooo
void * | sha_384_ooo
void * | sha_512_ooo
void * | zuc256_eia3_8B_ooo
void * | zuc256_eia3_16B_ooo
void * | aes_cfb_128_ooo
void * | aes_cfb_192_ooo
void * | aes_cfb_256_ooo
void * | end_ooo

## Field Documentation

## ◆ aes128_cbcs_ooo

void* IMB_MGR::aes128_cbcs_ooo

## ◆ aes128_cfb_one

aes_cfb_t IMB_MGR::aes128_cfb_one

## ◆ aes128_ooo

void* IMB_MGR::aes128_ooo

## ◆ aes192_ooo

void* IMB_MGR::aes192_ooo

## ◆ aes256_ccm_ooo

void* IMB_MGR::aes256_ccm_ooo

## ◆ aes256_cfb_one

aes_cfb_t IMB_MGR::aes256_cfb_one

## ◆ aes256_cmac_ooo

void* IMB_MGR::aes256_cmac_ooo

## ◆ aes256_ooo

void* IMB_MGR::aes256_ooo

## ◆ aes_ccm_ooo

void* IMB_MGR::aes_ccm_ooo

## ◆ aes_cfb_128_ooo

void* IMB_MGR::aes_cfb_128_ooo

## ◆ aes_cfb_192_ooo

void* IMB_MGR::aes_cfb_192_ooo

## ◆ aes_cfb_256_ooo

void* IMB_MGR::aes_cfb_256_ooo

## ◆ aes_cmac_ooo

void* IMB_MGR::aes_cmac_ooo

## ◆ aes_ecb_128_quic

aes_ecb_quic_t IMB_MGR::aes_ecb_128_quic

## ◆ aes_ecb_256_quic

aes_ecb_quic_t IMB_MGR::aes_ecb_256_quic

## ◆ aes_xcbc_ooo

void* IMB_MGR::aes_xcbc_ooo

## ◆ chacha20_hp_quic

chacha20_hp_quic_t IMB_MGR::chacha20_hp_quic

## ◆ chacha20_poly1305_dec_update

chacha_poly_enc_dec_update_t IMB_MGR::chacha20_poly1305_dec_update

## ◆ chacha20_poly1305_enc_update

chacha_poly_enc_dec_update_t IMB_MGR::chacha20_poly1305_enc_update

## ◆ chacha20_poly1305_finalize

chacha_poly_finalize_t IMB_MGR::chacha20_poly1305_finalize

## ◆ chacha20_poly1305_init

chacha_poly_init_t IMB_MGR::chacha20_poly1305_init

## ◆ chacha20_poly1305_quic

chacha20_poly1305_quic_t IMB_MGR::chacha20_poly1305_quic

## ◆ cmac_subkey_gen_128

cmac_subkey_gen_t IMB_MGR::cmac_subkey_gen_128

## ◆ cmac_subkey_gen_256

cmac_subkey_gen_t IMB_MGR::cmac_subkey_gen_256

## ◆ crc10_iuup_data

crc32_fn_t IMB_MGR::crc10_iuup_data

## ◆ crc11_fp_header

crc32_fn_t IMB_MGR::crc11_fp_header

## ◆ crc16_fp_data

crc32_fn_t IMB_MGR::crc16_fp_data

## ◆ crc16_x25

crc32_fn_t IMB_MGR::crc16_x25

## ◆ crc24_lte_a

crc32_fn_t IMB_MGR::crc24_lte_a

## ◆ crc24_lte_b

crc32_fn_t IMB_MGR::crc24_lte_b

## ◆ crc32_ethernet_fcs

crc32_fn_t IMB_MGR::crc32_ethernet_fcs

## ◆ crc32_sctp

crc32_fn_t IMB_MGR::crc32_sctp

## ◆ crc32_wimax_ofdma_data

crc32_fn_t IMB_MGR::crc32_wimax_ofdma_data

## ◆ crc6_iuup_header

crc32_fn_t IMB_MGR::crc6_iuup_header

## ◆ crc7_fp_header

crc32_fn_t IMB_MGR::crc7_fp_header

## ◆ crc8_wimax_ofdma_hcs

crc32_fn_t IMB_MGR::crc8_wimax_ofdma_hcs

## ◆ des3_dec_ooo

void* IMB_MGR::des3_dec_ooo

## ◆ des3_enc_ooo

void* IMB_MGR::des3_enc_ooo

## ◆ des_dec_ooo

void* IMB_MGR::des_dec_ooo

## ◆ des_enc_ooo

void* IMB_MGR::des_enc_ooo

## ◆ des_key_sched

des_keysched_t IMB_MGR::des_key_sched

## ◆ docsis128_crc32_sec_ooo

void* IMB_MGR::docsis128_crc32_sec_ooo

## ◆ docsis128_sec_ooo

void* IMB_MGR::docsis128_sec_ooo

## ◆ docsis256_crc32_sec_ooo

void* IMB_MGR::docsis256_crc32_sec_ooo

## ◆ docsis256_sec_ooo

void* IMB_MGR::docsis256_sec_ooo

## ◆ docsis_des_dec_ooo

void* IMB_MGR::docsis_des_dec_ooo

## ◆ docsis_des_enc_ooo

void* IMB_MGR::docsis_des_enc_ooo

## ◆ earliest_job

int IMB_MGR::earliest_job

byte offset, -1 if none

## ◆ eea3_1_buffer

zuc_eea3_1_buffer_t IMB_MGR::eea3_1_buffer

## ◆ eea3_4_buffer

zuc_eea3_4_buffer_t IMB_MGR::eea3_4_buffer

## ◆ eea3_n_buffer

zuc_eea3_n_buffer_t IMB_MGR::eea3_n_buffer

## ◆ eia3_1_buffer

zuc_eia3_1_buffer_t IMB_MGR::eia3_1_buffer

## ◆ eia3_n_buffer

zuc_eia3_n_buffer_t IMB_MGR::eia3_n_buffer

## ◆ end_ooo

void* IMB_MGR::end_ooo

## ◆ f8_1_buffer

kasumi_f8_1_buffer_t IMB_MGR::f8_1_buffer

## ◆ f8_1_buffer_bit

kasumi_f8_1_buffer_bit_t IMB_MGR::f8_1_buffer_bit

## ◆ f8_2_buffer

kasumi_f8_2_buffer_t IMB_MGR::f8_2_buffer

## ◆ f8_3_buffer

kasumi_f8_3_buffer_t IMB_MGR::f8_3_buffer

## ◆ f8_4_buffer

kasumi_f8_4_buffer_t IMB_MGR::f8_4_buffer

## ◆ f8_n_buffer

kasumi_f8_n_buffer_t IMB_MGR::f8_n_buffer

## ◆ f9_1_buffer

kasumi_f9_1_buffer_t IMB_MGR::f9_1_buffer

## ◆ f9_1_buffer_user

kasumi_f9_1_buffer_user_t IMB_MGR::f9_1_buffer_user

## ◆ features

uint64_t IMB_MGR::features

reflects features of multi-buffer instance

## ◆ flags

uint64_t IMB_MGR::flags

passed to alloc_mb_mgr()

## ◆ flush_burst

burst_fn_t IMB_MGR::flush_burst

## ◆ flush_job

flush_job_t IMB_MGR::flush_job

## ◆ gcm128_dec

aes_gcm_enc_dec_t IMB_MGR::gcm128_dec

## ◆ gcm128_dec_finalize

aes_gcm_enc_dec_finalize_t IMB_MGR::gcm128_dec_finalize

## ◆ gcm128_dec_update

aes_gcm_enc_dec_update_t IMB_MGR::gcm128_dec_update

## ◆ gcm128_enc

aes_gcm_enc_dec_t IMB_MGR::gcm128_enc

## ◆ gcm128_enc_finalize

aes_gcm_enc_dec_finalize_t IMB_MGR::gcm128_enc_finalize

## ◆ gcm128_enc_update

aes_gcm_enc_dec_update_t IMB_MGR::gcm128_enc_update

## ◆ gcm128_init

aes_gcm_init_t IMB_MGR::gcm128_init

## ◆ gcm128_init_var_iv

aes_gcm_init_var_iv_t IMB_MGR::gcm128_init_var_iv

## ◆ gcm128_pre

aes_gcm_pre_t IMB_MGR::gcm128_pre

## ◆ gcm128_precomp

aes_gcm_precomp_t IMB_MGR::gcm128_precomp

## ◆ gcm192_dec

aes_gcm_enc_dec_t IMB_MGR::gcm192_dec

## ◆ gcm192_dec_finalize

aes_gcm_enc_dec_finalize_t IMB_MGR::gcm192_dec_finalize

## ◆ gcm192_dec_update

aes_gcm_enc_dec_update_t IMB_MGR::gcm192_dec_update

## ◆ gcm192_enc

aes_gcm_enc_dec_t IMB_MGR::gcm192_enc

## ◆ gcm192_enc_finalize

aes_gcm_enc_dec_finalize_t IMB_MGR::gcm192_enc_finalize

## ◆ gcm192_enc_update

aes_gcm_enc_dec_update_t IMB_MGR::gcm192_enc_update

## ◆ gcm192_init

aes_gcm_init_t IMB_MGR::gcm192_init

## ◆ gcm192_init_var_iv

aes_gcm_init_var_iv_t IMB_MGR::gcm192_init_var_iv

## ◆ gcm192_pre

aes_gcm_pre_t IMB_MGR::gcm192_pre

## ◆ gcm192_precomp

aes_gcm_precomp_t IMB_MGR::gcm192_precomp

## ◆ gcm256_dec

aes_gcm_enc_dec_t IMB_MGR::gcm256_dec

## ◆ gcm256_dec_finalize

aes_gcm_enc_dec_finalize_t IMB_MGR::gcm256_dec_finalize

## ◆ gcm256_dec_update

aes_gcm_enc_dec_update_t IMB_MGR::gcm256_dec_update

## ◆ gcm256_enc

aes_gcm_enc_dec_t IMB_MGR::gcm256_enc

## ◆ gcm256_enc_finalize

aes_gcm_enc_dec_finalize_t IMB_MGR::gcm256_enc_finalize

## ◆ gcm256_enc_update

aes_gcm_enc_dec_update_t IMB_MGR::gcm256_enc_update

## ◆ gcm256_init

aes_gcm_init_t IMB_MGR::gcm256_init

## ◆ gcm256_init_var_iv

aes_gcm_init_var_iv_t IMB_MGR::gcm256_init_var_iv

## ◆ gcm256_pre

aes_gcm_pre_t IMB_MGR::gcm256_pre

## ◆ gcm256_precomp

aes_gcm_precomp_t IMB_MGR::gcm256_precomp

## ◆ get_completed_job

get_completed_job_t IMB_MGR::get_completed_job

## ◆ get_next_burst

burst_fn_t IMB_MGR::get_next_burst

## ◆ get_next_job

get_next_job_t IMB_MGR::get_next_job

ARCH handlers / API Careful as changes here can break ABI compatibility (always include function pointers at the end of the list, before "earliest_job")

## ◆ ghash

ghash_t IMB_MGR::ghash

## ◆ ghash_pre

aes_gcm_pre_t IMB_MGR::ghash_pre

## ◆ gmac128_finalize

aes_gmac_finalize_t IMB_MGR::gmac128_finalize

## ◆ gmac128_init

aes_gmac_init_t IMB_MGR::gmac128_init

## ◆ gmac128_update

aes_gmac_update_t IMB_MGR::gmac128_update

## ◆ gmac192_finalize

aes_gmac_finalize_t IMB_MGR::gmac192_finalize

## ◆ gmac192_init

aes_gmac_init_t IMB_MGR::gmac192_init

## ◆ gmac192_update

aes_gmac_update_t IMB_MGR::gmac192_update

## ◆ gmac256_finalize

aes_gmac_finalize_t IMB_MGR::gmac256_finalize

## ◆ gmac256_init

aes_gmac_init_t IMB_MGR::gmac256_init

## ◆ gmac256_update

aes_gmac_update_t IMB_MGR::gmac256_update

## ◆ hec_32

hec_32_t IMB_MGR::hec_32

## ◆ hec_64

hec_64_t IMB_MGR::hec_64

## ◆ hmac_md5_ooo

void* IMB_MGR::hmac_md5_ooo

## ◆ hmac_sha_1_ooo

void* IMB_MGR::hmac_sha_1_ooo

## ◆ hmac_sha_224_ooo

void* IMB_MGR::hmac_sha_224_ooo

## ◆ hmac_sha_256_ooo

void* IMB_MGR::hmac_sha_256_ooo

## ◆ hmac_sha_384_ooo

void* IMB_MGR::hmac_sha_384_ooo

## ◆ hmac_sha_512_ooo

void* IMB_MGR::hmac_sha_512_ooo

## ◆ imb_errno

int IMB_MGR::imb_errno

per mb_mgr error status

## ◆ jobs

IMB_JOB IMB_MGR::jobs[IMB_MAX_JOBS]

## ◆ kasumi_init_f8_key_sched

kasumi_init_f8_key_sched_t IMB_MGR::kasumi_init_f8_key_sched

## ◆ kasumi_init_f9_key_sched

kasumi_init_f9_key_sched_t IMB_MGR::kasumi_init_f9_key_sched

## ◆ kasumi_key_sched_size

kasumi_key_sched_size_t IMB_MGR::kasumi_key_sched_size

## ◆ keyexp_128

keyexp_t IMB_MGR::keyexp_128

## ◆ keyexp_192

keyexp_t IMB_MGR::keyexp_192

## ◆ keyexp_256

keyexp_t IMB_MGR::keyexp_256

## ◆ md5_one_block

hash_one_block_t IMB_MGR::md5_one_block

## ◆ next_job

int IMB_MGR::next_job

byte offset

## ◆ queue_size

queue_size_t IMB_MGR::queue_size

## ◆ reserved

uint64_t IMB_MGR::reserved[4]

reserved for the future

## ◆ reserved2

uint8_t IMB_MGR::reserved2[7]

reserved for the future

## ◆ self_test_cb_arg

void* IMB_MGR::self_test_cb_arg

## ◆ self_test_cb_fn

imb_self_test_cb_t IMB_MGR::self_test_cb_fn

## ◆ set_suite_id

void(* IMB_MGR::set_suite_id) (struct IMB_MGR *, IMB_JOB *)

## ◆ sha1

hash_fn_t IMB_MGR::sha1

## ◆ sha1_one_block

hash_one_block_t IMB_MGR::sha1_one_block

## ◆ sha224

hash_fn_t IMB_MGR::sha224

## ◆ sha224_one_block

hash_one_block_t IMB_MGR::sha224_one_block

## ◆ sha256

hash_fn_t IMB_MGR::sha256

## ◆ sha256_one_block

hash_one_block_t IMB_MGR::sha256_one_block

## ◆ sha384

hash_fn_t IMB_MGR::sha384

## ◆ sha384_one_block

hash_one_block_t IMB_MGR::sha384_one_block

## ◆ sha512

hash_fn_t IMB_MGR::sha512

## ◆ sha512_one_block

hash_one_block_t IMB_MGR::sha512_one_block

## ◆ sha_1_ooo

void* IMB_MGR::sha_1_ooo

## ◆ sha_224_ooo

void* IMB_MGR::sha_224_ooo

## ◆ sha_256_ooo

void* IMB_MGR::sha_256_ooo

## ◆ sha_384_ooo

void* IMB_MGR::sha_384_ooo

## ◆ sha_512_ooo

void* IMB_MGR::sha_512_ooo

## ◆ sm4_keyexp

sm4_keyexp_t IMB_MGR::sm4_keyexp

## ◆ snow3g_f8_1_buffer

snow3g_f8_1_buffer_t IMB_MGR::snow3g_f8_1_buffer

## ◆ snow3g_f8_1_buffer_bit

snow3g_f8_1_buffer_bit_t IMB_MGR::snow3g_f8_1_buffer_bit

## ◆ snow3g_f8_2_buffer

snow3g_f8_2_buffer_t IMB_MGR::snow3g_f8_2_buffer

## ◆ snow3g_f8_4_buffer

snow3g_f8_4_buffer_t IMB_MGR::snow3g_f8_4_buffer

## ◆ snow3g_f8_8_buffer

snow3g_f8_8_buffer_t IMB_MGR::snow3g_f8_8_buffer

## ◆ snow3g_f8_8_buffer_multikey

snow3g_f8_8_buffer_multikey_t IMB_MGR::snow3g_f8_8_buffer_multikey

## ◆ snow3g_f8_n_buffer

snow3g_f8_n_buffer_t IMB_MGR::snow3g_f8_n_buffer

## ◆ snow3g_f8_n_buffer_multikey

snow3g_f8_n_buffer_multikey_t IMB_MGR::snow3g_f8_n_buffer_multikey

## ◆ snow3g_f9_1_buffer

snow3g_f9_1_buffer_t IMB_MGR::snow3g_f9_1_buffer

## ◆ snow3g_init_key_sched

snow3g_init_key_sched_t IMB_MGR::snow3g_init_key_sched

## ◆ snow3g_key_sched_size

snow3g_key_sched_size_t IMB_MGR::snow3g_key_sched_size

## ◆ snow3g_uea2_ooo

void* IMB_MGR::snow3g_uea2_ooo

## ◆ snow3g_uia2_ooo

void* IMB_MGR::snow3g_uia2_ooo

## ◆ submit_aead_burst

submit_cipher_burst_t IMB_MGR::submit_aead_burst

## ◆ submit_aead_burst_nocheck

submit_cipher_burst_t IMB_MGR::submit_aead_burst_nocheck

## ◆ submit_burst

burst_fn_t IMB_MGR::submit_burst

## ◆ submit_burst_nocheck

burst_fn_t IMB_MGR::submit_burst_nocheck

## ◆ submit_cipher_burst

submit_cipher_burst_t IMB_MGR::submit_cipher_burst

## ◆ submit_cipher_burst_nocheck

submit_cipher_burst_t IMB_MGR::submit_cipher_burst_nocheck

## ◆ submit_hash_burst

submit_hash_burst_t IMB_MGR::submit_hash_burst

## ◆ submit_hash_burst_nocheck

submit_hash_burst_t IMB_MGR::submit_hash_burst_nocheck

## ◆ submit_job

submit_job_t IMB_MGR::submit_job

## ◆ submit_job_nocheck

submit_job_t IMB_MGR::submit_job_nocheck

## ◆ used_arch

uint32_t IMB_MGR::used_arch

Architecture being used

## ◆ used_arch_type

uint8_t IMB_MGR::used_arch_type

Architecture type being used

## ◆ xcbc_keyexp

xcbc_keyexp_t IMB_MGR::xcbc_keyexp

## ◆ zuc256_eea3_ooo

void* IMB_MGR::zuc256_eea3_ooo

## ◆ zuc256_eia3_16B_ooo

void* IMB_MGR::zuc256_eia3_16B_ooo

## ◆ zuc256_eia3_8B_ooo

void* IMB_MGR::zuc256_eia3_8B_ooo

## ◆ zuc256_eia3_ooo

void* IMB_MGR::zuc256_eia3_ooo

## ◆ zuc_eea3_ooo

void* IMB_MGR::zuc_eea3_ooo

## ◆ zuc_eia3_ooo

void* IMB_MGR::zuc_eia3_ooo

The documentation for this struct was generated from the following file:

- intel-ipsec-mb.h